//  select some random indices
repeat (10)
{
    var i = random_weighted(p[0], p[1], p[2]);
    histogram[i]++;
    samples++;
}

//  prepare to draw
draw_set_font(Font1);
draw_set_halign(fa_center);
draw_set_valign(fa_top);

draw_set_color(c_white);
draw_set_alpha(1.0);

//  draw legend
draw_text(x + w*1.5, y - 24, "random_weight("+string(p[0])+", "+string(p[1])+", "+string(p[2])+")");

//  draw graphs
for (var i=0; i<3; i++)
{
    draw_sprite(Sprite1, 0, x + w*(i+0.125), y);
    draw_rectangle(x + w*(i+0.125), y, x + w*(i+0.875), y+h, true);
    draw_rectangle(x + w*(i+0.125), y + h - h*histogram[i] / samples, x + w*(i+0.875), y + h, false);

    draw_text(x + w*(i+0.5), y + h + 8, string_format(100 * histogram[i] / samples, 2, 2) + "%");
}
